Package be.ehealth.technicalconnector.handler

# Class WsAddressingHandlerV200508

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.WsAddressingHandlerV200508

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class WsAddressingHandlerV200508 extends AbstractSOAPHandler
This class will generates a WS-Addressing header as specified in the specifications.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `MESSAGECONTEXT_WS_ADDRESSING_V200508`
  Property n the `SOAPMessageContext` indicating where the WsAddressing information can be found.
  `static final String`
  `WS_ADDRESSING_V200508_USE`
  Property in the `SOAPMessageContext` to indicates that WsAddressing must be used.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WsAddressingHandlerV200508()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleInbound, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WS_ADDRESSING_V200508_USE

    public static final String WS_ADDRESSING_V200508_USE
    Property in the `SOAPMessageContext` to indicates that WsAddressing must be used.
    See Also:
      - Constant Field Values

  - ### MESSAGECONTEXT_WS_ADDRESSING_V200508

    public static final String MESSAGECONTEXT_WS_ADDRESSING_V200508
    Property n the `SOAPMessageContext` indicating where the WsAddressing information can be found.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WsAddressingHandlerV200508

    public WsAddressingHandlerV200508()

- ## Method Details

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the outbound flow.
    Overrides:
      `handleOutbound` in class `AbstractSOAPHandler`

  - ### handleFault

    public boolean handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Specified by:
      `handleFault` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Overrides:
      `handleFault` in class `AbstractSOAPHandler`
    See Also:
      - `Handler.handleFault(jakarta.xml.ws.handler.MessageContext)`